Subject: [alpine-devel] [PATCH] testing/lshw: new aport

From: Paul Kilar <[email-masked]>
Date: Wed, 28 Aug 2013 11:25:32 -0400

http://www.ezix.org/software/lshw.html

lshw (Hardware Lister) is a small tool to provide detailed information on the hardware configuration of the machine.
---
 testing/lshw/APKBUILD         | 40 ++++++++++++++++++++++++++++++++++++++++
 testing/lshw/lshw-gcc43.patch | 23 +++++++++++++++++++++++
 2 files changed, 63 insertions(+)
 create mode 100644 testing/lshw/APKBUILD
 create mode 100644 testing/lshw/lshw-gcc43.patch

diff --git a/testing/lshw/APKBUILD b/testing/lshw/APKBUILD
new file mode 100644
index 0000000..aadf6bd
--- /dev/null
+++ b/testing/lshw/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Paul Kilar <[email-masked]>
+# Maintainer: Paul Kilar <[email-masked]>
+pkgname=lshw
+pkgver='02.17'
+pkgrel=0
+pkgdesc="Hardware Lister"
+url="http://ezix.org/project/wiki/HardwareLiSter"
+arch="all"
+license="GPL3+"
+depends=""
+depends_dev="gcc-c++ sqlite3-devel libstdc++-dev libstdc++"
+makedepends=""
+install=""
+subpackages="$pkgname-doc"
+source="http://ezix.org/software/files/lshw-B.$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-B.$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make RPM_OPT_FLAGS=-DNONLS
+}
+
+package() {
+	cd "$_builddir"
+	make -j1 DESTDIR="$pkgdir" install
+}
+
+md5sums="a5feb796cb302850eaf5b4530888e3ed  lshw-B.02.17.tar.gz"
+sha256sums="eb9cc053fa0f1e78685cb695596e73931bfb55d2377e3bc3b8b94aff4c5a489c  lshw-B.02.17.tar.gz"
+sha512sums="868899dce98e786a08a2134d6e132c388d71ab0f03fa6e10881e14d7a882c1882b46bbc6bd6ddb021cfab87ad6c9fd369453c3916f0b3353027eb2d470e55d9b  lshw-B.02.17.tar.gz"
diff --git a/testing/lshw/lshw-gcc43.patch b/testing/lshw/lshw-gcc43.patch
new file mode 100644
index 0000000..c56b038
--- /dev/null
+++ b/testing/lshw/lshw-gcc43.patch
@@ -0,0 +1,23 @@
+--- src/core/abi.cc.orig	2010-03-15 21:26:20.000000000 +0100
++++ src/core/abi.cc	2013-08-06 21:05:08.693772583 +0200
+@@ -11,6 +11,7 @@
+ #include <unistd.h>
+ #include <stdlib.h>
+ #include <dirent.h>
++#include <cstdlib>
+ 
+ __ID("@(#) $Id: mem.cc 1352 2006-05-27 23:54:13Z ezix $");
+ 
+@@ -38,10 +39,10 @@
+     for(i=0; i<n; i++)
+     {
+       system.addCapability(namelist[i]->d_name);
+-      free(namelist[i]);
++      std::free(namelist[i]);
+     }
+     if(namelist)
+-      free(namelist);
++      std::free(namelist);
+   }
+ 
+   popd();
-- 
1.8.2.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---